package com.ejie.ab79.model.REST.servicioWeb;

import java.util.List;

/**
 * 
 *  
 *
 */
public class PreguntasProtocoloWS implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idRelProPre;
	private Integer idPreguntaProtocolo;
	private Integer idPreguntaProtocoloPadre;
	private Integer orden;
	private Integer idProtocolo;
	private String descripcionCastellano;
	private String descripcionEuskera;
	private String identDatoEstablecimiento;
	private Integer tipoPregunta;
	private Integer preguntaValidar;
	private List<Opcion> opciones;
	
	public PreguntasProtocoloWS() {
		
	}
	
	public Integer getIdProtocolo() {
		return idProtocolo;
	}
	
	public void setIdProtocolo(Integer idProtocolo) {
		this.idProtocolo = idProtocolo;
	}
	
	public String getDescripcionCastellano() {
		return descripcionCastellano;
	}
	
	public void setDescripcionCastellano(String descripcionCastellano) {
		this.descripcionCastellano = descripcionCastellano;
	}
	
	public String getDescripcionEuskera() {
		return descripcionEuskera;
	}
	
	public void setDescripcionEuskera(String descripcionEuskera) {
		this.descripcionEuskera = descripcionEuskera;
	}

	public Integer getIdRelProPre() {
		return idRelProPre;
	}

	public void setIdRelProPre(Integer idRelProPre) {
		this.idRelProPre = idRelProPre;
	}

	public Integer getIdPreguntaProtocolo() {
		return idPreguntaProtocolo;
	}

	public void setIdPreguntaProtocolo(Integer idPreguntaProtocolo) {
		this.idPreguntaProtocolo = idPreguntaProtocolo;
	}

	public Integer getIdPreguntaProtocoloPadre() {
		return idPreguntaProtocoloPadre;
	}

	public void setIdPreguntaProtocoloPadre(Integer idPreguntaProtocoloPadre) {
		this.idPreguntaProtocoloPadre = idPreguntaProtocoloPadre;
	}

	public Integer getOrden() {
		return orden;
	}

	public void setOrden(Integer orden) {
		this.orden = orden;
	}

	public String getIdentDatoEstablecimiento() {
		return identDatoEstablecimiento;
	}

	public void setIdentDatoEstablecimiento(String identDatoEstablecimiento) {
		this.identDatoEstablecimiento = identDatoEstablecimiento;
	}

	public Integer getTipoPregunta() {
		return tipoPregunta;
	}

	public void setTipoPregunta(Integer tipoPregunta) {
		this.tipoPregunta = tipoPregunta;
	}

	public Integer getPreguntaValidar() {
		return preguntaValidar;
	}

	public void setPreguntaValidar(Integer preguntaValidar) {
		this.preguntaValidar = preguntaValidar;
	}

	public List<Opcion> getOpciones() {
		return opciones;
	}

	public void setOpciones(List<Opcion> opciones) {
		this.opciones = opciones;
	}
	
}
